KDE 4.6 PyKDE API Reference

- KDE's Python API

# AbstractFloatItem Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.RenderPlugin → QObject
Namespace: Marble

## Detailed Description

Abstract class:
  This class can be used as a base class for new classes, but can not be instantiated directly.

The abstract class that creates an "empty" float item.

## Methods

| __init__ (self, QPointF point=QPointF(10.0,10.0), QSizeF size=QSizeF(150.0,50.0))
bool | eventFilter (self, QObject object, QEvent e)
QFont | font (self)
QPen | pen (self)
bool | positionLocked (self)
bool | render (self, Marble.GeoPainter painter, Marble.ViewportParams viewport, QString renderPos="FLOAT_ITEM", Marble.GeoSceneLayer layer=0)
bool | renderOnMap (self, Marble.GeoPainter painter, Marble.ViewportParams viewport, QString renderPos, Marble.GeoSceneLayer layer=0)
QString | renderPolicy (self)
QStringList | renderPosition (self)
| setFont (self, QFont font)
| setPen (self, QPen pen)
| setPositionLocked (self, bool lock)
| setVisible (self, bool visible)
bool | visible (self)

## Method Documentation

__init__ | ( | self, |
|  | QPointF | point=QPointF(10.0,10.0),
|  | QSizeF | size=QSizeF(150.0,50.0)
| ) |  |  |

bool eventFilter | ( | self, |
|  | QObject | object,
|  | QEvent | e
| ) |  |  |

QFont font | ( |  | self ) |

QPen pen | ( |  | self ) |

bool positionLocked | ( |  | self ) |

bool render | ( | self, |
|  | Marble.GeoPainter | painter,
|  | Marble.ViewportParams | viewport,
|  | QString | renderPos="FLOAT_ITEM",
|  | Marble.GeoSceneLayer | layer=0
| ) |  |  |

bool renderOnMap | ( | self, |
|  | Marble.GeoPainter | painter,
|  | Marble.ViewportParams | viewport,
|  | QString | renderPos,
|  | Marble.GeoSceneLayer | layer=0
| ) |  |  |

QString renderPolicy | ( |  | self ) |

QStringList renderPosition | ( |  | self ) |

setFont | ( | self, |
|  | QFont | font
| ) |  |  |

setPen | ( | self, |
|  | QPen | pen
| ) |  |  |

setPositionLocked | ( | self, |
|  | bool | lock
| ) |  |  |

setVisible | ( | self, |
|  | bool | visible
| ) |  |  |

bool visible | ( |  | self ) |